# init bundle
source "%val{config}/bundle/kak-bundle/rc/kak-bundle.kak"
bundle-noload kak-bundle https://codeberg.org/jdugan6240/kak-bundle

bundle inc-dec.kak https://gitlab.com/Screwtapello/kakoune-inc-dec %{
	map -docstring "increment" global normal <c-a> %{: inc-dec-modify-numbers + %val{count}<ret>}
	map -docstring "decrement" global normal <c-x> %{: inc-dec-modify-numbers - %val{count}<ret>}
}

bundle auto-pairs.kak https://github.com/alexherbo2/auto-pairs.kak %{
	enable-auto-pairs
}

bundle fzf.kak https://github.com/andreyorst/fzf.kak %{
	require-module fzf
	set-option global fzf_highlight_command "bat"
	require-module fzf-grep
	set-option global fzf_grep_command "rg"
	require-module fzf-file
	set-option global fzf_file_command "fd . --no-ignore-vcs"
	map -docstring "fzf mode" global user f ": fzf-mode<ret>"
}

bundle luar https://github.com/gustavo-hms/luar %{
	require-module luar
}

bundle easymotion.kak https://git.sr.ht/~voroskoi/easymotion.kak %{
	require-module easymotion
	unmap global easymotion h
	unmap global easymotion j
	unmap global easymotion k
	unmap global easymotion l
	map global normal <ret> ': enter-user-mode easymotion<ret>'

	map global easymotion -docstring %{easymotion line ↓} <n> ": easymotion-j<ret>"
	map global easymotion -docstring %{easymotion line ↑} <e> ": easymotion-k<ret>"
	map global easymotion -docstring %{easymotion streak →} <i> ": easymotion-streak-forward<ret>"
	map global easymotion -docstring %{easymotion streak ←} <m> ": easymotion-streak-backward<ret>"
	set-option global easymotion_chars "tnseriplfuwydhcxoaqz"
}

bundle byline.kak https://github.com/evanrelf/byline.kak %{
	require-module "byline"
}
